Download it now!
Bug 134646 - Wrong paper size in print dialog
Summary: Wrong paper size in print dialog
Status: REOPENED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (allotropia)
URL:
Whiteboard: target:7.1.0 target:7.0.1
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Print-Dialog
  Show dependency treegraph
 
Reported: 2020-07-08 10:31 UTC by Samuel Mehrbrodt (allotropia)
Modified: 2020-09-01 15:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Print dialog (44.88 KB, image/png)
2020-07-08 10:31 UTC, Samuel Mehrbrodt (allotropia)
Details
Bibisect log (3.83 KB, text/plain)
2020-07-08 13:35 UTC, Telesto
Details
Screenshot (18.07 KB, image/png)
2020-07-20 14:26 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (allotropia) 2020-07-08 10:31:32 UTC
Created attachment 162789 [details]
Print dialog

1. Open Impress
2. Make sure slide format is "Screen (16:9)"
3. Open Print dialog

Expected:
The paper size is A4 (printer default)

Actual:
The paper format displayed in the preview is "Executive" while the dropdown says "A4" (see screenshot)
Comment 1 NISZ LibreOffice Team 2020-07-08 13:14:15 UTC

*** This bug has been marked as a duplicate of bug 129180 ***
Comment 2 Telesto 2020-07-08 13:23:57 UTC
It's fine in 6.4 so not bug 129180
Comment 3 Telesto 2020-07-08 13:35:45 UTC
Created attachment 162805 [details]
Bibisect log

author	Gabor Kelemen <kelemen.gabor2@nisz.hu>	2019-12-10 23:24:29 +0100
committer	László Németh <nemeth@numbertext.org>	2019-12-12 14:45:57 +0100
commit	562c30d5ad142fcdc77be6125fdac6d48b782fd7 (patch)
tree	b7f20b006875a1609a0987756927654ec359d3b4
parent	31fffe5538fd8011afa0076fdca39379c28fcff5 (diff)
tdf#123076 Get paper size for print preview
Initialize from current paper size which can be different from A4

https://cgit.freedesktop.org/libreoffice/core/commit/?id=562c30d5ad142fcdc77be6125fdac6d48b782fd7
Comment 4 Samuel Mehrbrodt (allotropia) 2020-07-09 06:36:40 UTC
(In reply to Telesto from comment #2)
> It's fine in 6.4 so not bug 129180

Are you sure? 6.4.3.2 has the same bug for me.
Also the main bug is not that the two values differ, but that Executive paper is suggested (instead of A4) for printing an Impress 16:9 slide.
Comment 5 Telesto 2020-07-09 06:43:22 UTC
(In reply to Samuel Mehrbrodt (CIB) from comment #4)
> (In reply to Telesto from comment #2)
> > It's fine in 6.4 so not bug 129180
> 

For me B5 is shown in the preview starting with the given commit, while the dropdown says "A4" paper being a4. However probably more is going on based on bug 129180 and bug 123076
Comment 6 Commit Notification 2020-07-13 05:39:04 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/3cfc390ecd7c7e9095c77383c460c522437bdabe

tdf#134646 Remove "nearest paper matching" feature

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Telesto 2020-07-20 14:26:14 UTC
Created attachment 163327 [details]
Screenshot

Sorry to disappoint, still not working as expected:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 52820b52b3bca45e2db527d1cc5f4488b2e0b9d0
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

Changed from B5 to User Defined, but still not A4
Comment 8 Telesto 2020-07-20 14:31:00 UTC
The preview uses the paper format size. 

So Slide -> Properties -> Slide tab -> Format
Comment 9 Commit Notification 2020-07-21 10:45:52 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/e2f6c1cb82498da172938dc34458a1c0fa4195ee

tdf#134646 Remove "nearest paper matching" feature

It will be available in 7.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Telesto 2020-08-03 08:27:03 UTC
@Dieter
Is this working for you? I'm still having a 'wrong' print preview
Comment 11 Dieter 2020-08-14 13:24:42 UTC
(In reply to Telesto from comment #10)
> @Dieter
> Is this working for you? I'm still having a 'wrong' print preview

I don't know, why you've added me in cc. => I removed it.
Comment 12 Thomas Lendo 2020-09-01 15:42:18 UTC
Is not fixed for paper sizes that exist in Slide -> Properties but not in the paper size drop-down command in the print dialog.

Version: 7.1.0.0.alpha0+ (x64)
Build ID: fb8334aa79e811bb6780e072e24d2580932f1031
CPU threads: 12; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: de-AT (de_AT); UI: de-DE